/* common styles  */
/* fonts */
@import url("https://fonts.googleapis.com/css2?family=Caveat:wght@400;500;600;700&family=Comfortaa:wght@300;400;500;600;700&family=Sora:wght@100;200;300;400;500;600;700;800&display=swap"); /* end of fonts */

* {
  padding: 0;
  margin: 0;
  user-select: none;
}

*::selection {
  background: none;
}
*::-moz-selection {
  background: none;
}

body {
  background-color: #2dd9ff;

  color: whitesmoke;
  font-size: clamp(100%, 1rem + 2vw, 24px);
}

/* end of common styles  */

/* profile styling */

/* profile card styling */

.profile-wrapper {
  flex-direction: column;
  overflow: hidden;
  margin-bottom: 3%;
}

.card-wrapper {
  width: 90%;
  margin: 1rem auto;
}

.card-image {
  border-radius: 1rem;
  width: 100%;
  background-color: #2dd9ff;

  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  cursor: pointer;
  transition: 1s ease-in-out;
}

.card-image:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.4);
  opacity: 0.9;
}
.profile-card {
  position: relative;
}

/* end of profile card styling */

/* contacts button styling */
.contacts-wrapper {
  text-align: center;
}

.contacts-wrapper button {
  width: 90%;
  font-size: 1rem;
  word-break: break-all;
}
.contacts-wrapper div {
  width: 100%;
}
/* end of contacts button styling */

/* social icon styling  */

.social-icons {
  position: absolute;
  top: 90%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 9;
  display: flex;
}

.social-icons li {
  list-style: none;
}
.social-icons li a {
  position: relative;
  display: block;
  width: 50px;
  height: 50px;
  line-height: 50px;
  text-align: center;
  background: #2dd9ff;

  font-size: 23px;
  color: whitesmoke;
  font-weight: bold;
  margin: 0 6px;
  transition: 0.4s;
  transform: translateY(100px);
  opacity: 0;
  border-radius: 30%;
}

.profile-card:hover .social-icons li a {
  transform: translateY(0px);
  opacity: 1;
}

.social-icons li a:hover {
  background: whitesmoke;
  transition: 0.2s;
}
.social-icons li a:hover .fab {
  color: #2dd9ff;
}

.social-icons li a .fab {
  transition: 0.8s;
}
.social-icons li a .fab:hover {
  transform: rotateY(360deg);
  color: #2dd9ff;
}

.profile-card:hover li:nth-child(1) a {
  transition-delay: 0.1s;
}

.profile-card:hover li:nth-child(2) a {
  transition-delay: 0.2s;
}

/* end of social icon styling */

/* end of card styling */
/* end of profile styling */

/* content styling  */

.content-wrapper {
  margin: 3% 0;
}
.content-wrapper .card {
  border-radius: 1rem;
  background-color: #2dd9ff;

  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  cursor: auto;
  transition: 1s ease-in-out;
}
.card:hover {
  box-shadow: 0 8px 16px 0 rgba(0, 0, 0, 0.2);
}

/* Radio Buttons: controling the navigation  */
#education-radio:checked ~ .screen-wrapper .education {
  opacity: 1;
}
#education-radio:checked ~ .screen-wrapper .about-me {
  opacity: 0;
}
#training-radio:checked ~ .screen-wrapper .training {
  opacity: 1;
}
#training-radio:checked ~ .screen-wrapper .about-me {
  opacity: 0;
}
#work-experience-radio:checked ~ .screen-wrapper .work-experience {
  opacity: 1;
}
#work-experience-radio:checked ~ .screen-wrapper .about-me {
  opacity: 0;
}

/* end of Radio Buttons */

/* screen controler */

.screen-wrapper {
  position: fixed;
  display: flex;
}

.screen-link {
  background-color: transparent;
  position: absolute;
  z-index: 15;
  height: 3rem;
  padding: 0.3rem 0.6rem;
  font-family: "Caveat", cursive;
  font-size: 2.4rem;
  border: none;
  color: #ddd;
  cursor: pointer;
}

/* end of screen controler */

/* control buttons */

.about-me-button {
  top: 90%;
  right: 60%;
}

.education-button {
  top: 90%;
  right: 45%;
}
.training-button {
  top: 90%;
  right: 30%;
}
.work-experience-button {
  top: 90%;
  right: 5%;
}

/* end of control buttons */

/* heading section  */

.heading-wrapper .header h1 {
  font-family: "Comfortaa", cursive;
  font-size: 4.5rem;
}

.heading-wrapper .slogan h3 {
  font-family: "Comfortaa", cursive;
  font-size: 1.5rem;
  font-weight: bold;
  padding: 1%;
}

.heading-wrapper .slogan h3::before {
  background-color: whitesmoke;
  content: "";
  display: inline-block;
  height: 0.3rem;
  position: relative;
  vertical-align: middle;
  width: 1rem;
  margin-right: 0.3rem;
}

.heading-wrapper .slogan h3::after {
  background-color: whitesmoke;
  content: "";
  display: inline-block;
  height: 0.3rem;
  position: relative;
  vertical-align: middle;
  width: 1.5rem;
  margin-left: 0.3rem;
}

.fa-stethoscope {
  transform: rotateZ(30deg);
}

/* end of heading section  */

/* about me  */

.about-me {
  display: flex;
  flex-direction: column;
  transition: opacity 1s;
}

.about-me p {
  font-family: "Sora", sans-serif;
  font-size: 1rem;
  font-weight: 300;
  overflow: hidden;
}
.about-me-mobile p {
  font-family: "Sora", sans-serif;
  font-size: 1.1rem;
  font-weight: 300;
  overflow: hidden;
}
/* end of about me  */

/* education screen */
.education {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: space-evenly;
  width: 100%;
  opacity: 0;
  transition: opacity 1s;
}
.education p {
  font-family: "Sora", sans-serif;
  font-size: 1.1rem;
  font-weight: 300;
  overflow: hidden;
}
.education div,
.card {
  cursor: auto;
}
/* education mobile screen */

.education-mobile h4 {
  font-size: 1rem;
}
.education-mobile p {
  font-size: 0.9rem;
}

.education-mobile div,
.card {
  cursor: auto;
}

/* end of education mobile screen screen  */

/* training screen  */
.training {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  opacity: 0;
  transition: opacity 1s;
}

.training p {
  font-family: "Sora", sans-serif;
  font-size: 1.1rem;
  font-weight: 300;
  overflow: hidden;
}

.training div {
  cursor: auto;
}
/* end of training screen  */
/* training-mobile screen  */

.training-mobile h4 {
  font-size: 1rem;
}
.training-mobile p {
  font-size: 0.9rem;
}

/* end of training mobile screen  */

/* Work experience screen  */
.work-experience {
  position: absolute;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 100%;
  opacity: 0;
  transition: opacity 1s;
}

.work-experience p {
  font-family: "Sora", sans-serif;
  font-size: 1.1rem;
  font-weight: 300;
  overflow: hidden;
}

.work-experience div {
  cursor: auto;
}

.work-experience-mobile h4 {
  font-size: 1rem;
}
.work-experience-mobile p {
  font-size: 0.9rem;
}
/* end of Work Experience Mobile Screen  */

.about-me-mobile,
.education-mobile,
.training-mobile,
.work-experience-mobile {
  opacity: 0;
  position: fixed;
}

@media only screen and (max-width: 1024px) {
  .information-wrapper label,
  .screen-wrapper {
    opacity: 0;
  }

  .about-me-mobile,
  .education-mobile,
  .training-mobile,
  .work-experience-mobile {
    opacity: 1;
    position: static;
  }
  .profile-wrapper {
    position: sticky;
    top: 3%;
  }
}
